Stack Exchange Network

Stack Exchange network consists of 174 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [software-installation]

Installing software on a running system, either as binaries or from source.

0
votes
0answers
30 views

tasksel install ubuntu-desktop without recommended packages

I want to install a minimal ubuntu-desktop (no firefox, software managers, mail clients, etc). Also, It is my understanding that I should be using tasksel install ubuntu-desktop instead of apt-get ...
0
votes
0answers
34 views

How to modify mendeley's data directory

Under win10,i can modify mendeley's data directory as following: open regdit->HKEY_CURRENT_USER\Software\Mendeley Ltd.\Mendeley Desktop->add a new keyvalue with a name (e.g.,datadir) and data (e.g.,"...
1
vote
0answers
60 views

Ubuntu Software (Ubuntu 16.04 LTS) does not display installed apps

I have recently installed Ubuntu 16.04.5 LTS. Unfortunately, Ubuntu Software application does not display installed apps. The screen (Installed tab) is just empty. I have tried to follow different ...
0
votes
0answers
21 views

Apache authentication loop after installing NVM? [duplicate]

I installed nvm, now whenever I open a new terminal or load bash profile it continuously tries to restart apache & an authentication password prompt pops up. I can't seem to access the terminal ...
0
votes
1answer
319 views

Install (and use) mongodb 3.4.17 on ubuntu 18.04

I need to recover/read a database created in mongo 3.14. However currently I use the ubuntu 18.04 os. I tried following the steps given by the official guide: https://docs.mongodb.com/manual/tutorial/...
0
votes
1answer
52 views

how to remove the old of python 3.x and keep the latest pyhon 3.x

I'm using ubuntu 18.04, my default python3 version is Python 3.6.6 Found 3 version of python (3.5.2, 3.6.6, 3.7.0) in my pc. I'm not sure how this happened. /usr/bin/python3.5: Python 3.5.2 /usr/bin/...
0
votes
1answer
187 views

How to install minitab on Ubuntu?

I want to install minitab on my machine, running Ubuntu 16.04 LTS. How can I install it, or something similar?
1
vote
0answers
25 views

Error running '__rvm_make -j8'

does anyone have the solution for this error while installing rvm in ubuntu 16.04>>?? Would really appreciate your help. Thanks.
3
votes
1answer
278 views

Import program files into fresh Ubuntu installation

recently I bought an SSD and I want to install Ubuntu 18.10 on it now. Since I already have an Ubuntu installation, I was wondering if it is possible to copy only my custom/own files to the new ...
0
votes
1answer
27 views

Notation of choice: Apt displaying bits per second rather than bytes per second

In the networking world, we use bps (bits per second) to measure data traveling down a media (wire) see this useful question about why: https://superuser.com/questions/297290/why-are-network-speeds-...
0
votes
1answer
27 views

INSTALL GATE software

I am trying to install GATE on Ubuntu 16.04 at the (make -j4) step I got: /usr/bin/ld: cannot find -lPostscript /usr/bin/ld: cannot find -lPhysics collect2: error: ld returned 1 exit status ...
0
votes
1answer
315 views

npm : Depends: node-gyp (>= 0.10.9) but it is not going to be installed [duplicate]

I want to install npm. I've updated everything but I can't fix the problem. The message I get is: Reading package lists... Done Building dependency tree Reading state information... Done ...
-2
votes
1answer
101 views

How do I find the program that I installed?

I installed Google Earth last night and cannot this morning find it. Silly question but why is there not an icon for the program as that method seems nice and simple?
0
votes
1answer
79 views

How can I make the tagspaces launch file work?

I'm quite new to Ubuntu and open-source software in general. I have just started using Ubuntu 18.04 and other open-source software since June of this year. A couple of months ago, I installed ...
0
votes
0answers
116 views

Let and Block-scoped declarations problem with npm installing

I am using Ubuntu 16.04. After installing npm, it's not working as intended. I am getting error like the following: $ npm -v /home/MYUSERNAME/.npm-packages/lib/node_modules/npm/bin/npm-cli.js:85 let ...
1
vote
2answers
70 views

How do I install the Fortran 9x compiler? [duplicate]

I want to install a program called OSIRIS but, I need to get the Fortran 9x compiler. I was wondering how do I install it? I am using a Ubuntu 16
0
votes
0answers
170 views

Plasma Discover stuck at 100% while installing a snap

I tried installing the RetroArch snap from within Plasma Discover. It is now stuck at "RetroArch - Installing: 0 B/s". What should I do?
0
votes
0answers
8 views

Just updated to cosmic cuttlefish on elite book 8470p. Recognizes wireless but isn't connected. [duplicate]

I tried to go back to bionic beaver but the restore did not work. I need to get on to work and I can't connect now. Please help
1
vote
3answers
83 views

HP printer and scanner installation [closed]

First I downloaded printer driver software from HP. In the terminal window I always get error code 100 when installing an HP printer and scanner, so the installation does not work. How do I solve ...
0
votes
2answers
100 views

Using pip3 install, local vs. global

I am trying to install mysqlclient. I have searched on the internet and found two commands sudo pip3 install mysqlclient or simply, pip3 install mysqlclient. Which one should I use and why?
0
votes
1answer
83 views

How to Install Scribus 1.5.3/4 on Ubuntu 18

I need to know the installation procedures for this version of Scribus (which is a Devel. Version) on UBUNTU 18, because it supports arabic. I have already visited the website, and downloaded ppa over ...
0
votes
1answer
353 views

Problem with readline library (Ubuntu 18.04)

Try to launch sudo apt install debsig-verify (this is needed to install slack) and get this message: You might want to run 'apt --fix-broken install' to correct these. The following packages ...
0
votes
1answer
30 views

How to tell which installation guide is legit? [closed]

There are many guides on the internet on installation of all sorts of programs under Linux. Some require installation of other programs as part of the installation process. Often the steps described ...
0
votes
0answers
159 views

unable to install cmake 3.5.1 on ubuntu 16.04

sudo apt install cmake [sudo] password for ananth: Reading package lists... Done Building dependency tree Reading state information... Done The following additional packages will be installed: ...
0
votes
0answers
156 views

jre and jdk folder in java-11-openjdk-amd64

I have installed java-11-openjdk-amd64 in Ubuntu 18 but there have no jre and jdk folder. I am getting a lot of error while ruining Hadoop, Spark and Hive. Please cooperate me.
-3
votes
1answer
159 views

How do i install apps like VLC or Chrome without using terminal?

My Ubuntu 18.04 Software Centre isn't showing VLC or other applications I want. If I search for "vlc", there are only a few apps... What should I do?
0
votes
1answer
42 views

Unable to install OpenShot

I tried to install OpenShot but unable to install it. It says Can anyone help?
1
vote
1answer
107 views

Problem installing Steam on Ubuntu 18.04

I had a problem while trying to install Steam. The download completed successfully, but then I got this error: [2018-10-23 16:30:25] uninstalled manifest found in /home/mawime/.steam/package/...
0
votes
1answer
125 views

Can't install MyPaint on 18.10 from usual repository (not flatpak or snap)

After I installed 18.10 (when it was beta) and started to install all software I got this problem with MyPaint. Today this problem still persists. Universe repository is enabled. I was able to install ...
0
votes
1answer
337 views

JDK11 on Ubuntu 18.04

Window user. I am new to Linux. I installed Ubuntu 18.04 on top of Virtual Toolbox. I have questions/problems wrt installing JDK 11. The Ubuntu is clean slate. Nothing is installed on this OS. From ...
0
votes
1answer
111 views

Can't get Minecraft server to work

I downloaded Ubuntu 18.04 desktop and then downloaded the Mojang Minecraft server software. When I follow the directions and come to the part where I enter the command LD_LIBRARY_PATH=. ./...
0
votes
1answer
38 views

ubuntu 18.04 installation crashings

why is it that when ever am installing some softwares like doker and etc my terminal downloads them but fails to install them fully at the last minute saying;==> E: Sub-process /usr/bin/dpkg returned ...
-1
votes
1answer
43 views

I can't install tux-paint , tux-math , tux-typing ,k geography. please tall me how to install this app in ubuntu software? [duplicate]

I can't install tux-paint , tux-math , tux-typing ,k geography. please tall me how to install this app in ubuntu software?
1
vote
1answer
91 views

How to download quickbooks with Wine

I just installed Wine and I am trying to get Quickbooks Pro 2019 installed. But I can't figure out Wine and how to use it. This will be our accounting software for quite a while. Ubuntu with the ...
0
votes
0answers
38 views

How can I install bluesnarfer to Xubuntu 16.04? [duplicate]

I'm new to Xubuntu and I don't know how to install bluesnarfer in Xubuntu. I'm not also familiar with .tar file installation.
0
votes
2answers
572 views

How to update youtube-dl on ubuntu 18.10? [closed]

When I type sudo apt youtube-dl -U I get this: E: Command line option 'U' [from -U] is not understood in combination with the other options. so I tried pip install --upgrade youtube-dl and I ...
0
votes
1answer
70 views

How to set JAVA_HOME and NUTCH_JAVA_HOME in ubuntu., I tried but while compile nutch with ANT but getting this error

I'm very new to ubuntu, I have installed java and while compiling nutch am getting this error. BUILD FAILED /home/surukam/Desktop/Nutch/nutch/build.xml:101: Unable to find a javac compiler; com.sun....
4
votes
0answers
105 views

Backup Failed error processing remote manifest

I get the following error: Error processing remote manifest (duplicity-inc.20181001T155227Z.to.20181004T170535Z.manifest.gpg): GPG Failed, see log below: ===== Begin GnuPG log ===== gpg: WARNING: "--...
0
votes
2answers
50 views

Conda package installs in wrong environment

I am trying to install torch using conda however, it installs it into another conda environment not the one I am interested in. How can I fix this? [jalal@goku NAACL2018]$ conda install pytorch ...
1
vote
2answers
1k views

Sub-process /usr/bin/dpkg returned an error code (1) Ubuntu 18.04

I am trying to install anything in Ubuntu 18.04 and I get this error trying to install rar It's happend with so many programs ivan@ivan-X441UVK:~$ sudo apt-get install rar Reading package lists... ...
-1
votes
0answers
25 views

Oracle 11gR2 not opening in browser

I installed Oracle 11gR2 using How to install Oracle 11gR2 on Ubuntu 14.04? on my Ubuntu 16.04. Everything got installed Sql command line is also working and it is connecting to oracle database (i ...
0
votes
0answers
163 views

Issues installing pandoc 2.3.1 in Ubuntu 18.04.1

I am trying to install pandoc 2.3.1 in my Ubuntu 18.04.1 LTS. First, I remove any old pandoc version (in my case is pandoc 1.19.2.1) manolo@manolo:~$ sudo apt-get remove pandoc Reading package ...
1
vote
2answers
104 views

Trying to update Java on Linux (Linux installed by Crouton)

I wanted to download Minecraft on Linux so I downloaded Java 7, because anything over Java 7 says Could not find so I installed Java 7, but when I try to update Java by entering: sudo add-apt-...
1
vote
0answers
17 views

installing applications in Kbunutu 18.0 [duplicate]

very new to the Kubuntu, I cannot seem to understand the process of installing new applications! they all seem to go to some K place as zip files open and there seem to be no way of giving the install ...
0
votes
0answers
126 views

How to fix “'vncviewer' has no installation candidate”?

first i tried to install:- sudo apt-get install build-essential libreadline-dev libssl-dev libpq5 libpq-dev libreadline5 libsqlite3-dev libpcap-dev git-core autoconf postgresql pgadmin3 curl zlib1g-...
2
votes
1answer
83 views

How to install PHP in 18.04 clean?

I want to see where PHP is, because I've found it in /etc/php5/apache2/php.ini., And it's not there. I do not know which is the best way to install it, since I never did it, and I did not want to put ...
1
vote
0answers
104 views

ubuntu java installation 404 not found [closed]

Hello i want to install java on my ubuntu 16.04, when typing sudo apt install default-jdk all i get is a whole list of links failed to download with 404 not found at the end. What should I do to ...
0
votes
0answers
37 views

How do I install a _Src.7z file in Ubuntu 18.04?

I downloaded Pascal XE from SourceForge and got a _Src.7z file which I clicked and got: I'm not sure what to do now. Can somebody help? Regards
4
votes
1answer
388 views

Install xfwm4 4.13 on xubuntu 18.04

As per title, I'd like to install the development version (4.13) of xfwm4 insfead of the regular 4.12 since I've found out that it now supports vsync and opengl and thus removes tearing completely (i....
2
votes
2answers
70 views

Openprinting-gutenprint lsb install-info error 127

I am trying to install driver for my printer but this happened.. $ sudo dpkg -i openprinting-gutenprint_5.2.7-1lsb3.2_amd64.deb (Reading database ... 204753 files and directories currently ...